### Enumeration

# Ggit Error

#### Declaration

    error-domain Ggit.Error

#### Description [src]

Error codes for the `GGIT_ERROR` error domain.

#### Members

Name | Description
--- | ---
`GGIT_ERROR_GIT_ERROR` | A generic error for when an operation fails.
`GGIT_ERROR_NOTFOUND` | Input does not exist in the scope searched.
`GGIT_ERROR_EXISTS` | A reference with this name already exists.
`GGIT_ERROR_AMBIGUOUS` | The given error is ambiguous.
`GGIT_ERROR_BUFS` | The buffer is too short.
`GGIT_ERROR_PASSTHROUGH` | Skip and passthrough the given ODB backend.
`GGIT_ERROR_ITEROVER` | The iteration has finished.

#### Type functions

###### ggit_error_quark

Error domain for Ggit functions. Errors in this domain will be from the GgitError enumeration. See `GError` for information on error domains.